<?php
if( get_header_image() != '' ) {
	$enqueue_main_style;
	$fixed_header_css = '
#logo {
	background: url(' . $header_image . ');
	width: 100%;
	max-width: ' . get_custom_header()->width . 'px;
	height: ' . get_custom_header()->height . 'px;
	background-size: 100%;
	margin: 0 auto 1em auto;
}

@media ( min-width: 37.5em ) { /* small tablets and up = ~600px */
	#logo {
		float: left; /* Get rid of link spanning entire width of the parent div */	
		margin: 0 1em 1em 0;
	}
}

#site-title {
	clear: left;
}';
	wp_add_inline_style( 'urban-square-main-stylesheet', $fixed_header_css );
} else {
	$enqueue_main_style;
	$fixed_header_css = '
/* No header image present */';
	wp_add_inline_style( 'urban-square-main-stylesheet', $fixed_header_css );
}
			
if( $header_2xbg != '' ) {
	$enqueue_main_style;
	$fixed_header_css .= '
@media (-webkit-min-device-pixel-ratio: 1.5),
(min--moz-device-pixel-ratio: 1.5),
(-o-min-device-pixel-ratio: 3/2),
(min-device-pixel-ratio: 1.5),
(min-resolution: 144dpi) {
	#logo {
		background-image: url(' . $header_2xbg . ');
		height: ' . get_custom_header()->height . 'px;
	}
}';
	wp_add_inline_style( 'urban-square-main-stylesheet', $fixed_header_css );
}
			
if( get_header_textcolor() != '' ) {
	$enqueue_main_style;
	$fixed_header_textcolor_css = '
#site-title a:link,
#site-title a:visited {
	color: #' . get_header_textcolor() . ';
}
		
@media ( min-width: 64.063em ) {
	#site-title {
		clear: none;
	}
					
	#site-title h1,
	#site-title > div {
		font-size: 1.75em;
	}
}';
	wp_add_inline_style( 'urban-square-main-stylesheet', $fixed_header_textcolor_css );
}
	
if( 'blank' == get_header_textcolor() ) {
	$enqueue_main_style;
	$fixed_header_textcolor_css .= '
#site-title a:link,
#site-title a:visited {
	position: absolute;
	left: -9999px;
}
		
#site-description {
	text-indent: -9999px;
}';
	wp_add_inline_style( 'urban-square-main-stylesheet', $fixed_header_textcolor_css );
}
?>