<?php
// For the masonry layout css, see the article Add Masonry, Grid Layouts To Your WordPress Site With Just CSS from WPMU Dev
// https://premium.wpmudev.org/blog/add-masonry-grid-layouts-to-your-wordpress-site-with-just-css/
	$enqueue_main_style;
	$masonry_css = '
/* Masonry Layout */

/* Apply to blog post, search and archive pages */
/* Container */
body.blog #content,
body.archive #content,
body.search #content {
	-moz-column-count: 1;
	-webkit-column-count: 1;
	column-count: 1;
	-moz-column-gap: 1em;
	-webkit-column-gap: 1em;
	column-gap: 1em;
}

/* Bricks */
body.blog article,
body.archive article,
body.search article {
	display: inline-block;
	margin: 0 0 1em;
	padding: 1em;
	width: 100%;
	border: 1px solid '. $supporting_border_color . ';
	box-sizing: border-box;
}

body.blog .navigation {
	float: none;
}

body.blog .navigation,
body.archive .header,
body.search .header {
	-webkit-column-span: all;
	column-span: all;
}

body.blog article .entry-title,
body.archive article .entry-title,
body.search article .entry-title {
	font-size: 1.5em;
	margin: 0;
}

body.blog article .wp-post-image,
body.archive article .wp-post-image,
body.search article .wp-post-image {
	margin: 0 0 1em 0;
}

body.blog .gallery-item {
	width: 100%;
	text-align: center;
}

body.blog article ul,
body.archive article ul,
body.search article ul,
body.blog article ol,
body.archive article ol,
body.search article ol {
	padding-left: 1em;
}

h1, h2, h3, h4, h5, h6, a {
	-ms-word-wrap: break-word;
	word-wrap: break-word;
}

@media ( min-width: 48em ) { /* tablets and up = ~768px+ */
	body.blog #content,
	body.archive #content,
	body.search #content {
		-moz-column-count: 2;
		-webkit-column-count: 2;
		column-count: 2;
	}
}

@media ( min-width: 64.063em ) { /* desktop = ~1025px */
	body.blog .menu-button-title,
	body.archive .menu-button-title,
	body.search .menu-button-title {
		position: static;
		left: 0;
	}
	
	body.blog .site-navigation-title,
	body.archive .site-navigation-title,
	body.search .site-navigation-title {
		position: static;
		left: 0;
	}

	body.blog #content,
	body.archive #content,
	body.search #content {
		width: 75%;
		margin: 1em 12.5%;
	}

	body.blog #sidebar,
	body.archive #sidebar,
	body.search #sidebar {
		clear: left;
		padding-top: 1em;
		bottom: 0;
		width: 100%;
	}
	
	body.blog .widget-container,
	body.archive .widget-container,
	body.search .widget-container {
		display: inline-block;
		vertical-align: top;
		width: 30%;
		margin: 0 1.5% 1em 1.5%;
	}
	
	body.blog .back-to-top,
	body.archive .back-to-top,
	body.search .back-to-top {
		right: 0;
	}
	
	body.blog #content,
	body.archive #content,
	body.search #content {
		-moz-column-count: 3;
		-webkit-column-count: 3;
		column-count: 3;
	}
}

@media ( min-width: 85.375em ) { /* widescreen desktop = ~1366px+ */
	body.blog #content,
	body.archive #content,
	body.search #content {
		-moz-column-count: 4;
		-webkit-column-count: 4;
		column-count: 4;
	}
	
	body.blog .widget-container,
	body.archive .widget-container,
	body.search .widget-container {
		display: inline-block;
		vertical-align: top;
		width: 23%;
		margin: 0 1% 1em 1%;
	}
}';
	wp_add_inline_style( 'urban-square-main-stylesheet', $masonry_css );
?>