<?php
/* Covers supporting, supporting hover colors and border colors */
if( $supporting_color != '' ) {
	$enqueue_main_style;
	$supporting_color_css = '
/* Supporting colors */
.search-field {
	border: 1px solid ' . $supporting_color . ';
}

#header #menu .supporting-bgcolor,
#content .supporting-bgcolor a:link,
#content .supporting-bgcolor a:visited,
#sidebar .supporting-bgcolor,
#sidebar .supporting-bgcolor + .icon-sort-desc,
a.comment-reply-link:link, 
a.comment-reply-link:visited,
#wp-calendar tr th,
#wp-calendar td a {
	background: ' . $supporting_color . ';
}

#header .menu .icon-sort-desc {
	color: ' . $supporting_color . ';
}';
	wp_add_inline_style( 'urban-square-main-stylesheet', $supporting_color_css );
}
	
if( ( $supporting_color != '' ) && ( $supporting_color != '#800000' ) ) {
	$enqueue_main_style;
	$supporting_color_css .= '
a.back-to-top:link,
a.back-to-top:visited {
	background: rgba( 51, 51, 51, 0.8 );			
}';
	wp_add_inline_style( 'urban-square-main-stylesheet', $supporting_color_css );
}

if( $supporting_secondary_color != '' ) {
	$enqueue_main_style;
	$supporting_secondary_color_css = '
/* Menu and Widget background hover and active color */
#header .menu .page_item a:active,
#header .menu .page_item a:focus,
#header ul.menu .menu-item a:active,
#header ul.menu .menu-item a:focus,
.widget-container ul li a:focus,
.widget-container ul li a:active {
	background-color: ' . $supporting_secondary_color . ';
}
		
#menu .supporting-secondary-color:active,
.desktop #header .supporting-secondary-color:hover,
#header .menu li a:active,
.desktop #header .menu li a:hover,
#content .supporting-secondary-color a:active,
.desktop #content .supporting-secondary-color a:hover,
a.comment-reply-link:active,
.desktop a.comment-reply-link:hover,
#sidebar .supporting-secondary-color li a:active,
.desktop #sidebar .supporting-secondary-color li a:hover,
#wp-calendar td a:active,
.desktop #wp-calendar td a:hover {
	background: ' . $supporting_secondary_color . ';
}';
	wp_add_inline_style( 'urban-square-main-stylesheet', $supporting_secondary_color_css );
}
	
if( $supporting_border_color != '' ) {
	$enqueue_main_style;
	$supporting_border_color_css = '
/* Border outline colors */
#header .menu .page_item,
#header ul.menu .menu-item {
	border-right-color: ' . $supporting_border_color . ';
	border-top-color: ' . $supporting_border_color . ';
}

.widget-area {
	border-bottom: 2px solid ' . $supporting_border_color . ';
}
		
@media ( min-width: 48em ) {
	#header .menu .children,
	#header ul.menu .sub-menu {
		border-color: ' . $supporting_border_color . ';
	}
}
		
table {
	border-color: ' . $supporting_border_color . ';
}
		
.sticky {
	border-bottom-color: ' . $supporting_border_color . ';
	border-top-color: ' . $supporting_border_color . ';
}
		
.bypostauthor .comment-author {
	border-bottom-color: ' . $supporting_border_color . ';
}
		
#header .menu .icon-sort-desc {
	border: 1px solid ' . $supporting_border_color . ';
}
		
@media (min-width: 48em) {
	#header .menu .icon-sort-desc {
		border-top: 0;
		border-right: 0;
		border-bottom: 0;
		border-left: 1px solid ' . $supporting_border_color . ';
	}
}

.page-template-page_landing-page #header {
	border-bottom: 2px solid' . $supporting_border_color . ';
}';
	wp_add_inline_style( 'urban-square-main-stylesheet', $supporting_border_color_css );
}
?>