( function ( $ ) {
	// Update the Site Title in real time...
	wp.customize( 'blogname', function( value ) {
		value.bind( function( to ) {
			$( '#site-title a' ).html( to );
		} );
	} );
	
	// Update the Site Description in real time...
	wp.customize( 'blogdescription', function( value ) {
		value.bind( function( to ) {
			$( '#site-description' ).html( to );
		} );
	} );
	
	// Update site background color...
	wp.customize( 'background_color', function( value ) {
		value.bind( function( to ) {
			$( 'body' ).css( 'background-color', to );
		} );
	} );
	
	// Other colors
	wp.customize( 'header_footer_bgcolor', function( value ) {
		value.bind( function( to ) {
			$( '#wrapper .header-footer-bgcolor' ).css( 'background-color', to );
		} );
	} );
	
	wp.customize( 'link_color', function( value ) {
		value.bind( function( to ) {
			$( 'article a:link, article a:visited, #header .menu a:link, #header .menu a:visited, #comments a:link, #comments a:visited' ).css( 'color', to );
			$( 'a.post-edit-link:link, a.post-edit-link:visited' ).addClass( 'white-text' );
			$( '.entry-links a:link, .entry-links a:link' ).addClass( 'white-text' );
			$( 'a.comment-reply-link:link, a.comment-reply-link:visited' ).addClass( 'white-text' );
		} );
	} );
	
	wp.customize( 'supporting_color', function( value ) {
		value.bind( function( to ) {
			$( '#menu .supporting-bgcolor, #content .supporting-bgcolor a:link, #content .supporting-bgcolor a:visited, #sidebar .supporting-bgcolor, #sidebar .supporting-bgcolor + .icon-sort-desc, a.comment-reply-link:link, a.comment-reply-link:visited, #wp-calendar tr th, #wp-calendar td a' ).css( 'background-color', to );
			$( '.search-field' ).css( { 'border' : '1px solid' + to } );
			$( '#header .menu .icon-sort-desc' ).css( 'color', to );
			if( ( 'supporting_color' !== '' ) || ( 'supporting_color' !== '#800000' ) ) {
				$( 'a.back-to-top:link, a.back-to-top:visited' ).css( { 'background-color' : 'rgba( 51, 51, 51, 0.8 )' } );
			} else {
				$( 'a.back-to-top:link, a.back-to-top:visited' ).css( { 'background-color' : '#800000' } );
			}
		} );
	} );
	
	wp.customize( 'menu_widgets_bgcolor', function( value ) {
		value.bind( function( to ) {
			$( '#header .menu ul, #header ul.menu, #header .menu .page_item a:link, #header .menu .page_item a:visited, #header ul.menu .menu-item a:link, #header ul.menu .menu-item a:visited, #header .menu .icon-sort-desc, #header .menu .children, #header ul.menu .sub-menu, .widget-area, #footer ul.xoxo' ).css( 'background-color', to );
			var windowWidth = $( window ).width();
			if( windowWidth >= 768 ) {
				$( '.menu ul, ul.menu' ).css( { 'background-color' : 'transparent' } );
			}
		} );
	} );
	
	wp.customize( 'supporting_border_color', function( value ) {
		value.bind( function( to ) {
			$( '#header .menu .page_item, #header ul.menu .menu-item' ).css( { 'border-right-color' : to, 'border-top-color' : to } );
			$( '#header .menu .children, #header ul.menu .sub-menu' ).css( { 'border-color' : to } );
			$( '.widget-area' ).css( { 'border-bottom-color' : to } );
			var windowWidth = $( window ).width();
			if( windowWidth >= 768 ) {
				$( '#header .menu .icon-sort-desc' ).css( { 'border-left-color' : to } );
			} else {
				$( '#header .menu .icon-sort-desc' ).css( { 'border' : '1px solid' + to } );
			}
			$( 'table' ).css( 'border-color', to );
			$( '.sticky' ).css( { 'border-bottom-color' : to, 'border-top-color' : to } );
			$( '.bypostauthor .comment-author' ).css( 'border-bottom-color', to );
		} );
	} );
	
	wp.customize( 'everything_else_bgcolor', function( value ) {
		value.bind( function( to ) {
			$( 'blockquote p, q, pre, table tbody, .sticky, .bypostauthor .comment-author, #commentform, #wp-calendar, #wp-calendar tbody' ).css( 'background-color', to );
		} );
	} );
	
	// Append style sheet with classes to head tag; switch color reverses on/off; previewing for header image
	$( 'head' ).append( 
	'<style type="text/css" id="preview-classes">' + "\n" + 
	'.white-text { color: #ffffff !important; }' + "\n\n" + 
	'.black-text { color: #333333 !important; }' + 
	'</style>' );
	
	wp.customize( 'reverse_textcolor', function( value ) {
		value.bind( function( to ) {
			if( to === true ) {
				$( '#content' ).addClass( 'white-text' ).removeClass( 'black-text' );
			} else {
				$( '#content' ).removeClass( 'white-text' ).addClass( 'black-text' );
			}
		} );
	} );
	
	wp.customize( 'reverse_menu_linkcolor', function( value ) {
		value.bind( function( to ) {
			if( to === true ) {
				$( '#header .menu .page_item a, #header ul.menu .menu-item a, .widget-container ul li a, #footer ul.xoxo a' ).addClass( 'black-text' );
			} else {
				$( '#header .menu .page_item a, #header ul.menu .menu-item a, .widget-container ul li a, #footer ul.xoxo a' ).removeClass( 'black-text' );
			}
		} );
	} );
	
	wp.customize( 'reverse_menu_linkcolor_white', function( value ) {
		value.bind( function( to ) {
			if( to === true ) {
				$( '#header .menu .page_item a, #header ul.menu .menu-item a, .widget-container ul li a, #footer ul.xoxo a' ).addClass( 'white-text' );
				$( '.widget-area .widget-container, #footer ul.xoxo' ).css( { 'color' : '#f5f5f5' } );
				$( '#wp-calendar tbody' ).css( { 'color' : '#333333' } );
			} else {
				$( '#header .menu .page_item a, #header ul.menu .menu-item a, .widget-container ul li a, #footer ul.xoxo a' ).removeClass( 'white-text' );
				$( '.widget-area .widget-container, #footer ul.xoxo' ).css( { 'color' : '#333333' } );
				$( '#wp-calendar tbody' ).css( { 'color' : '#333333' } );
			}
		} );
	} );
	
	wp.customize( 'reverse_supporting_color', function( value ) {
		value.bind( function( to ) {
			if( to === true ) {
				$( '#search .reverse-supporting-color, #menu .reverse-supporting-color, #sidebar .reverse-supporting-color, #content .reverse-supporting-color a:link, #content .reverse-supporting-color a:visited, a.comment-reply-link:link, a.comment-reply-link:visited, #wp-calendar tr th, #wp-calendar td a' ).addClass( 'black-text' );
				$( '.widget-title + .icon-sort-desc' ).css( { 'border-left' : '1px solid #333333' } );
			} else {
				$( '#search .reverse-supporting-color, #menu .reverse-supporting-color, #sidebar .reverse-supporting-color, #content .reverse-supporting-color a:link, #content .reverse-supporting-color a:visited, a.comment-reply-link:link, a.comment-reply-link:visited, #wp-calendar tr th, #wp-calendar td a' ).removeClass( 'black-text' ).addClass( 'white-text' );
				$( '.widget-title + .icon-sort-desc' ).css( { 'border-left' : '1px solid #ffffff' } );
			}
		} );
	} );
	
	
	
	wp.customize( 'reverse_everything_textcolor', function( value ) {
		value.bind( function( to ) {
			if( to === true ) {
				$( 'blockquote, q, table, tbody, pre, body .sticky, body #commentform, body .bypostauthor .comment-author' ).addClass( 'black-text' );
				$( '#content table caption' ).addClass( 'white-text' );
			} else {
				$( 'blockquote, q, table, tbody, pre, body .sticky, body #commentform, body .bypostauthor .comment-author' ).removeClass( 'black-text' );
				$( '#content table caption' ).removeClass( 'white-text' ).addClass( 'black-text' );
			}
		} );
	} );
	
	// Header Images
	
	
	// Footer options
	wp.customize( 'urban_square_edit_footer', function( value ) {
		value.bind( function( to ) {
			$( '#copyright' ).html( to );
		} );
	} );
	
	wp.customize( 'urban_square_footercredits', function( value ) {
		value.bind( function( to ) {
			$( '#credits' ).show();
			if( to === true ) {
				$( '#credits' ).show();
			} else {
				$( '#credits' ).hide();
			}
		} );
	} );
} ) ( jQuery );